Summary:	GNU's bc (a numeric processing language) and dc (a calculator)
Name:		bc
Version:	1.06
Release:	1
License:	GPL
Group:		Applications/Math
Source0:	ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	readline-devel >= 5.2
BuildRequires:	flex
BuildRequires:	bison
Requires:	readline >= 5.2

%description
The bc package includes bc and dc. Bc is an arbitrary precision
numeric processing arithmetic language. Dc is an interactive arbitrary
precision stack based calculator, which can be used as a text mode
calculator. Install the bc package if you need its number handling
capabilities or if you would like to use its text mode calculator.


%prep
%setup -q
%patch0


%build
./configure \
    --prefix=%{_prefix} \
    --with-readline
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*info*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/linux/bin
cd usr/linux/bin
ln -sf ../../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/bc.info.gz %{_infodir}/dir || :
/sbin/install-info %{_infodir}/dc.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/bc.info.gz %{_infodir}/dir || :
    /sbin/install-info --delete %{_infodir}/dc.info.gz %{_infodir}/dir || :
fi


%files
%defattr(644,root,system,755)
%doc AUTHORS ChangeLog FAQ NEWS README
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*info*
/usr/linux/bin/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%changelog
* Tue May 27 2008 Michael Perzl <michael@perzl.org> - 1.06-1
- first version for AIX V5.1 and higher
